Page MenuHomePhabricator

"Empty JSON response" from ParsoidBatchAPI when content includes <mapframe>
Closed, ResolvedPublic

Description

The gzip-encoded data in Kartographer's page properties (see T210548) is causing the ParsoidBatchAPI extension to return an empty response when format=json and formatversion=2. When format=xml the problematic page property is simply missing. This works with ApiParse in core, somehow.

Details

Related Gerrit Patches:

Event Timeline

cscott created this task.Nov 27 2018, 9:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2018, 9:40 PM

Change 476158 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/ParsoidBatchAPI@master] Modernize ApiParsoidBatch using ApiResult to generate prettier output (take 2)

https://gerrit.wikimedia.org/r/476158

After the swat just now, these errors have been reduced to zero.

The last one was at 2018-11-28T01:22:05 according to logstash

Change 476158 merged by jenkins-bot:
[mediawiki/extensions/ParsoidBatchAPI@master] Modernize ApiParsoidBatch using ApiResult to generate prettier output (take 2)

https://gerrit.wikimedia.org/r/476158

Arlolra closed this task as Resolved.Dec 5 2018, 8:12 PM
Arlolra claimed this task.